fos_js_routing_js:
    path: /js/routing.{_format}
    methods: [GET]
    defaults: { _controller: 'fos_js_routing.controller::indexAction', _format: js }
    requirements:
        _format: js|json
media:
    resource: '@SonataMediaBundle/Resources/config/routing/media.xml'
    prefix: /media
admin:
    resource: '@SonataAdminBundle/Resources/config/routing/sonata_admin.xml'
    prefix: /admin
_sonata_admin:
    resource: .
    type: sonata_admin
    prefix: /admin
sonata_user:
    resource: '@SonataUserBundle/Resources/config/routing/admin_security.xml'
    prefix: /admin
sonata_user_impersonating:
    #pattern: /admin/dashboard
    path: /admin
    defaults: { _controller: SonataAdminBundle:Core:dashboard }
sonata_user_security:
    resource: "@SonataUserBundle/Resources/config/routing/admin_security.xml"

sonata_user_resetting:
    resource: "@SonataUserBundle/Resources/config/routing/admin_resetting.xml"
    prefix: /resetting

#sonata_user_profile:
#    resource: "@SonataUserBundle/Resources/config/routing/sonata_profile_1.xml"
#    prefix: /profile

# Removed sonata_user_register as it's missing in SonataUserBundle 4.0
# Removed sonata_user_change_password

sonata_user_admin_security:
    resource: '@SonataUserBundle/Resources/config/routing/admin_security.xml'
    prefix: /admin

sonata_user_admin_resetting:
    resource: '@SonataUserBundle/Resources/config/routing/admin_resetting.xml'
    prefix: /admin/resetting
    
_liip_imagine:
    resource: "@LiipImagineBundle/Resources/config/routing.yaml"

# FOSUserBundle routes removed as it is no longer used in SonataUserBundle 5.0

# Internal routing configuration to handle ESI
#_internal:
#   resource: "@FrameworkBundle/Resources/config/routing/internal.xml"
#   prefix:   /_internal

CyberlFceBundle:
    resource: "../src/Cyberl/FceBundle/Controller/"
    type:     attribute
    prefix:   /

CyberlUserBundle:
    resource: "../src/Cyberl/UserBundle/Controller/"
    type:     attribute
    prefix:   /

flux_rss:
    path: /flux.rss
    controller: OS\RssBundle\Controller\FluxController::generateAction
